Ideal
%NOLIST
%NOINCL
%MACS
;DEBUG=1
Include "../macro.inc"
%LIST

@OUT@ Coding !

segment	zseg
	db 27 dup (?)
  zzz	db ?
ends	zseg

model small ; tiny
codeseg
zztop	dw	zseg
;   org 100h

Macro DOSPrint message
   local msg
  dataseg
   msg db message,'$'
  codeseg
   mov dx,offset msg
   mov ax,0900h
   int 21h
EndM DOSPrint

MYNUM=0
Macro WasteALocal
  Local ZZAP
  if MYNUM LT 256
    ZZAP = MYNUM
  else
    % ZZAP EQU HOHO&MYNUM
  endif
  MYNUM = MYNUM + 1
EndM WasteALocal

Start:
   mov al,[80h]
   @IF z
     or al,al
   @THEN
     DOSPrint <"C'est injuste !",13,10>
   @ELSE
     DOSPrint <"Super !",13,10>
   @ENDIF
   ret

Rept 10
  WasteALocal
EndM

udataseg
 BBB	db 512 dup (?)

AddN	1,5,3,sixteen		; ok
;AddN	0,BBB,2,BBBBBB
;AddN	<offset zzz>,<seg zzz>,16,zzzabs

public zztop
end Start
